# Funds: Test Values

### **Card addition**

<table><thead><tr><th width="199">Funding Source</th><th width="161">Network</th><th>Permission</th><th>Card Number</th></tr></thead><tbody><tr><td>CARD</td><td>VISA</td><td>DEBIT</td><td>9401110999999991</td></tr><tr><td>CARD</td><td>VISA</td><td>CREDIT-AND-DEBIT</td><td>9401113999999995</td></tr><tr><td>CARD</td><td>MASTERCARD</td><td>DEBIT</td><td>9501110999999990</td></tr></tbody></table>

### **Bank login credentials (Chatbot)**

| Username           | Password            | MFA                                                                                                                      |
| ------------------ | ------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| `test_good`        | `test1234`          | <p><code>again</code> For multiple MFAs.<br><code>test\_answer</code>For single MFA.<br>Bank Name: <code>fake</code></p> |
| `synapse_good`     | `test1234`          | <p><code>again</code> For multiple MFAs.<br><code>test\_answer</code>For single MFA.<br>Bank Name: <code>fake</code></p> |
| `synapse_nomfa`    | `test1234`          | No MFA necessary                                                                                                         |
| `synapse_code_mfa` | `test1234`          | `123456`  Bank Name: `fake`                                                                                              |
| `synapse_good`     | `test1234_checking` | <p><code>again</code> For multiple MFAs.<br><code>test\_answer</code>For single MFA.<br>Bank Name: <code>fake</code></p> |

### **Bank login credentials (MX): Non-OAuth**

| **Username** | **Password**                   | **Description**                                                                                                                                                                                     |
| ------------ | ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| mxuser       | Any value not described below. | Successful bank addition with no MFA.                                                                                                                                                               |
| mxuser       | `challenge`                    | Issues an MFA challenge. Answer with correct to simulate a correct MFA response, or use one of the passwords below that simulate a server error. Use anything else to simulate an incorrect answer. |
| mxuser       | `BAD_REQUEST`                  | External server returns a 400 error with the message, “You must fill out the username and password fields.”                                                                                         |
| mxuser       | `UNAUTHORIZED`                 | External server returns a 401 error with the message, “Invalid credentials.”                                                                                                                        |

### **Bank login credentials (MX):** OAuth&#x20;

|                 |                                                                                |
| --------------- | ------------------------------------------------------------------------------ |
| **Bank Name**   | **Description**                                                                |
| MX Bank (OAuth) | Select the OAuth bank from the bank dropdown list and follow the instructions. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/test-values/sandbox-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
